Loading...
Searching...
No Matches
fastjet::SharedPtr< T >::__SharedCountingPtr Class Reference

More...

`#include <fastjet/SharedPtr.hh>`

## Public Member Functions

| __SharedCountingPtr ()
| default ctor
template<class Y>
| __SharedCountingPtr (Y *ptr)
| ctor with initialisation
| ~__SharedCountingPtr ()
| default dtor
T * | get () const
| return a pointer to the object
long | use_count () const
| return the count
long | operator++ ()
| prefix increment operator
long | operator-- ()
| prefix decrement operator
long | operator++ (int)
| postfix increment operator The "dummy" int argument is just a C++ trick to differentiate it from the prefix increment
long | operator-- (int)
| postfix decrement operator The "dummy" int argument is just a C++ trick to differentiate it from the prefix decrement
void | set_count (const long &count)
| force the count to be set to a specified value

## Detailed Description

template<class T>
class fastjet::SharedPtr< T >::__SharedCountingPtr

Definition at line 522 of file SharedPtr.hh.

## Constructor & Destructor Documentation

## __SharedCountingPtr() [1/2]

template<class T>

fastjet::SharedPtr< T >::__SharedCountingPtr::__SharedCountingPtr | ( |  | ) |

inline

default ctor

Definition at line 525 of file SharedPtr.hh.

## __SharedCountingPtr() [2/2]

template<class T>
template<class Y>

fastjet::SharedPtr< T >::__SharedCountingPtr::__SharedCountingPtr | ( | Y * | ptr | ) |

inline explicit

ctor with initialisation

Definition at line 528 of file SharedPtr.hh.

## ~__SharedCountingPtr()

template<class T>

fastjet::SharedPtr< T >::__SharedCountingPtr::~__SharedCountingPtr | ( |  | ) |

inline

default dtor

Definition at line 531 of file SharedPtr.hh.

## Member Function Documentation

## get()

template<class T>

T * fastjet::SharedPtr< T >::__SharedCountingPtr::get | ( |  | ) | const

inline

return a pointer to the object

Definition at line 537 of file SharedPtr.hh.

## use_count()

template<class T>

long fastjet::SharedPtr< T >::__SharedCountingPtr::use_count | ( |  | ) | const

inline

return the count

Definition at line 540 of file SharedPtr.hh.

## operator++() [1/2]

template<class T>

long fastjet::SharedPtr< T >::__SharedCountingPtr::operator++ | ( |  | ) |

inline

prefix increment operator

Definition at line 543 of file SharedPtr.hh.

## operator--() [1/2]

template<class T>

long fastjet::SharedPtr< T >::__SharedCountingPtr::operator-- | ( |  | ) |

inline

prefix decrement operator

Definition at line 546 of file SharedPtr.hh.

## operator++() [2/2]

template<class T>

long fastjet::SharedPtr< T >::__SharedCountingPtr::operator++ | ( | int |  | ) |

inline

postfix increment operator The "dummy" int argument is just a C++ trick to differentiate it from the prefix increment

Definition at line 551 of file SharedPtr.hh.

## operator--() [2/2]

template<class T>

long fastjet::SharedPtr< T >::__SharedCountingPtr::operator-- | ( | int |  | ) |

inline

postfix decrement operator The "dummy" int argument is just a C++ trick to differentiate it from the prefix decrement

Definition at line 556 of file SharedPtr.hh.

## set_count()

template<class T>

void fastjet::SharedPtr< T >::__SharedCountingPtr::set_count | ( | const long & | count | ) |

inline

force the count to be set to a specified value

Parameters

  count | the value that we ned to reset to

Definition at line 560 of file SharedPtr.hh.

The documentation for this class was generated from the following file:

- include/fastjet/SharedPtr.hh